;----------------Event Check Solid--------------------
;----------(Event-Controlled Disappearing Solid)------
;------------------OmegaDragnet9----------------------

;Solid block that will be an air tile after you have set an event.
;This does not set events.
;It serves only as a flexible block that could save an alternate room state.
;When the room is reloaded, the block will be replaced forever by blank air tiles. 

lorom

!84Freespace = $84F8D0
 	
org !84Freespace

DW Setup
DW InstList 

Setup:  

PHY
LDY $1C27		;PLM index
LDA $1DC7,y		;PLM variable (event # to set)
AND #$00FF
PLY
JSL $808233		;Check against Event A
BCC +

; Make PLM block air if Event A is already Set
LDX $1C87,y
LDA #$00FF		;Loads Tile in Tilemap 
STA $7F0002,x

RTS

; Normal PLM Preinstruction
+
LDX $1C87,y 			; PLM's location in the room (nth block * 2)
LDA #$800F : JSR $82B4 
RTS

InstList:
DW $86B4		; Sleep

















